package com.allmycode.a02_01_02

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import android.widget.TextView
import androidx.core.app.ComponentActivity
import androidx.core.app.ComponentActivity.ExtraData
import androidx.core.content.ContextCompat.getSystemService
import android.icu.lang.UCharacter.GraphemeClusterBreak.T
import android.view.View


class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
    }

    class Ball {
        fun dropTo(drop: Int) {

        }
        fun riseTo(height: Int) {

        }
        var elasticity = 0
    }

    fun doALot(backgr: Background, sprite: Sprite, ball: Ball) {
        if (backgr.isCity()) {
            val steps: Int = getSteps()
            sprite.move(steps)
            if (sprite.isNear(monster)) {
                sprite.changeFace(Sprite.PANIC)
                sprite.release(ball)
                val ballHeight: Double = sprite.handHeight

                bounceBall(ballHeight, ball)
            }

            val seconds: Int = getLevel() + 2
            showCar(seconds)
            makeNoise()
        }
    }

    private fun bounceBall(ballHeight: Double, ball: Ball) {
        while (ballHeight > 0) {
            val g: Double = 9.807
            val timeToDrop: Double =
                Math.sqrt(2 * ballHeight / g)
            val rebound: Double =
                ballHeight * ball.elasticity
            ball.dropTo(0)
            ball.riseTo(rebound)
        }
    }
}
